> For the complete documentation index, see [llms.txt](https://docs.tonic.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tonic.ai/textual/tonic-textual-api/textual-python-sdk/datasets/dataset-get-entity-mappings.md).

# Get the detected entities for a dataset

{% hint style="info" %}
**Required dataset permission:** Must be granted a dataset permission set for the dataset.
{% endhint %}

To get the detected entities for a dataset, use [`dataset.get_entity_mappings`](https://tonic-textual-sdk.readthedocs-hosted.com/en/latest/datasets/api.html#tonic_textual.classes.dataset.Dataset.get_entity_mappings).

In the response, the detected entities are grouped by file.

For files that have no entities, either because none were detected or the entity type handling was set to Ignore, the entity list is empty.

For each entity, the response includes:

* The entity type.
* The source value.
* The output value if the entity type handling option is Redact.
* The output value if the entity type handling option is Synthesize.
* The assigned entity type handling option for the entity type.
* The output value based on the entity type handling option (Redact or Synthesize). When the entity type handling option is Ignore, the entity is not included in the list.
* For tabular data, the row and column where the entity was detected.
* The confidence score for the detection.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.tonic.ai/textual/tonic-textual-api/textual-python-sdk/datasets/dataset-get-entity-mappings.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
